aboutgitcodebugslistschat
path: root/test/shutdown/passt
diff options
context:
space:
mode:
Diffstat (limited to 'test/shutdown/passt')
-rw-r--r--test/shutdown/passt22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/shutdown/passt b/test/shutdown/passt
new file mode 100644
index 0000000..00ced61
--- /dev/null
+++ b/test/shutdown/passt
@@ -0,0 +1,22 @@
+# SPDX-License-Identifier: AGPL-3.0-or-later
+#
+# PASST - Plug A Simple Socket Transport
+# for qemu/UNIX domain socket mode
+#
+# PASTA - Pack A Subtle Tap Abstraction
+# for network namespace/tap device mode
+#
+# test/shutdown/passt - Shut down passt and check exit code (will detect
+# valgrind errors amongst others)
+#
+# Copyright (c) 2022 Red Hat GmbH
+# Author: Stefano Brivio <sbrivio@redhat.com>
+
+test shutdown: exit code
+
+hout PASST_PID cat passt.pid
+host kill __PASST_PID__
+sleep 1
+
+pout EXIT echo $?
+check [ "__EXIT__" = "0" ]